This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 78079 - During startup xcdroast reports the following: Failed to scan the SCSI-bus. Either no permission to access the generic scsi device or now SCSI support enabled in the kernel.
During startup xcdroast reports the following: Failed to scan the SCSI-bus. E...
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
8.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-11-18 15:08 EST by Need Real Name
Modified: 2007-04-18 12:48 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-11-18 15:16:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-11-18 15:08:19 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
As of kernel 2.4.18-17.8.0 I haven't been able to burn CDs. The kernel hasn't
been compiled with SCSI capability. I was able to burn CDs with kernel 2.4.18-14
loaded but haven't been able to since the updates to the kernel haven't been
compiled with SCSI support. I'm running RH Linux8.0 on an HP OmniBook Xe3 and
would like to use the full capability of my CD writer to archive data but can't
with the newer kernels.

Version-Release number of selected component (if applicable): kernel
2.4.18-18.8.0;  x-cdroast version 0.98alpha9


How reproducible:
Always

Steps to Reproduce:
1.Select CD Writer in the KDE System Tools menu.
2.X-CD-Roast immediately reports it can't access a CD Writer.
3.
	

Actual Results:  Can't access the CD Writer but I can read CD content ok.

Expected Results:  Would like to have the capability to access the CD Writer
portion of my CD drive.

Additional info:

The CD drive in my laptop is reported as:  TOSHIBA DVD-ROM SD-R2102, ATAPI
CD/DVD-ROM drive.
My laptop is an HP OmniBook Xe3.
Comment 1 Michael Lee Yohe 2002-11-18 15:16:33 EST
You have specified to invoke the ide-scsi module, right? On your kernel line in
grub.conf (or lilo.conf) you need to have something like the following
"hdc=ide-scsi" (without quotes) to tell the kernel to invoke that module. 
Replace "hdc" with whatever drive designation your combo drive is.
Comment 2 Need Real Name 2002-11-19 00:08:34 EST
Michael,
   Thanks for the hint about needing the additional startup parameter. I had to
add the hdc=ide-scsi to the append line in my syslinux.cfg file on the boot
floppy. I checked for the lilo.conf file and it didn't exist. So I checked the
syslinux.cfg file on the 2.4.18-14 floppy I've maintained and found the
parameter just as you'd suggested. So I simply added the param to my
2.4.18-18.8.0 boot floppy and the x-cdroaster responded fine. So my problem is
now fixed.
   But, I still have a question. Why did the 2.4.18-14 syslinux.cfg file have
the hdc=ide-scsi param but the mkbootdisk command didn't pick up this parameter
automatically for the upgraded kernel? According to the info file for mkbootdisk
the SCSI drivers should be loaded automatically when creating the boot disk. Is
this a small gotcha related to an upgrade of the kernel that should be published
in big letters as a note to those who may run into the same problem I've
encountered. It seems this is just a simple option for the loader but it
disables hardware capability when not present in the config file. Just a thought.

My problem is now fixed. Note that the boot loader config file is now named
syslinux.cfg.

Thanks again for the assistance.

Note You need to log in before you can comment on or make changes to this bug.